<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="item"
            type="pl.michalik.godtrecipes.mainview.RecipeListItemViewModel" />
    </data>


    <android.support.v7.widget.CardView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:padding="5dp"
        android:layout_margin="5dp"
        tools:background="@drawable/search_item_opened"
        app:cardCornerRadius="20dp">
        <RelativeLayout
            android:layout_width="match_parent"
            android:padding="10dp"
            android:layout_height="wrap_content">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/recipe_search_item_header">
                <ImageView
                    android:layout_width="100dp"
                    android:layout_height="100dp"
                    android:layout_gravity="start"
                    android:id="@+id/recipe_search_item_image"
                    android:src="@drawable/ic_launcher_background"
                    app:recipeImageUrl="@{item.image}" />

                <TextView
                    style="@style/TextAppearance.AppCompat.Medium"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_toEndOf="@id/recipe_search_item_image"
                    android:id="@+id/recipe_search_item_title"
                    android:text="@{item.title}"
                    android:layout_margin="10dp"
                    tools:text="Tytuł"
                    android:layout_toStartOf="@+id/recipe_search_item_toggle" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:layout_below="@+id/recipe_search_item_title"
                    android:layout_toEndOf="@+id/recipe_search_item_image"
                    android:text="@{item.title}"
                    tools:text="123"
                    android:layout_toStartOf="@+id/recipe_search_item_toggle" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/recipe_search_item_toggle"
                    android:layout_alignParentEnd="true"
                    android:rotation="@{item.expanded ? 180 : 0}"
                    android:layout_alignParentTop="true"
                    android:src="@drawable/ic_arrow_down_drop_circle_grey600_36dp"/>
            </RelativeLayout>

            <android.support.v7.widget.RecyclerView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/recipe_search_item_header"
                android:visibility="@{item.expanded ? View.VISIBLE : View.GONE}"
                android:id="@+id/recipe_search_item_ingredients"/>


        </RelativeLayout>
    </android.support.v7.widget.CardView>

</layout>
